classification
Title: enumerate() docstring doesn't cover optional start argument
Type: behavior Stage: needs patch
Components: Interpreter Core Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: daniel.urban, georg.brandl, ncoghlan
Priority: normal Keywords: easy, patch

Created on 2010-05-06 13:16 by ncoghlan, last changed 2010-05-22 11:43 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
issue8635.diff daniel.urban, 2010-05-09 09:32 Patch (py3k branch)
Messages (3)
msg105144 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2010-05-06 13:16
As noted in the comments for issue 2831, the enumerate docstring doesn't cover the feature added by that patch.
msg105377 - (view) Author: Daniel Urban (daniel.urban) * (Python triager) Date: 2010-05-09 09:32
Attached a patch. It changes the docstring to:
"enumerate(iterable[, start]) -> iterator for index, value of iterable

Return an enumerate object.  iterable must be another object that supports
iteration, start must be an integer (defaults to 0).  The enumerate object
yields pairs containing a count (from start) and a value yielded by the
iterable argument.  enumerate is useful for obtaining an indexed list:
(0, seq[0]), (1, seq[1]), (2, seq[2]), ..."
msg106301 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-05-22 11:43
Thanks, fixed in r81468 with a slightly different patch.
History
Date User Action Args
2010-05-22 11:43:37georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg106301

resolution: fixed
2010-05-09 09:32:59daniel.urbansetfiles: + issue8635.diff

nosy: + daniel.urban
messages: + msg105377

keywords: + patch
2010-05-06 13:16:03ncoghlancreate